package com.gic.enterprise.service.impl;

import com.gic.auth.dto.UserDTO;
import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabUserMapper;
import com.gic.enterprise.entity.TabUser;
import com.gic.enterprise.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author guojx
 * @date 2019/7/16 6:52 PM
 */
@Service("userService")
public class UserServiceImpl implements UserService{
    @Autowired
    private TabUserMapper tabUserMapper;
    @Override
    public int saveUser(UserDTO userDTO) {
        TabUser tabUser = EntityUtil.changeEntityNew(TabUser.class, userDTO);
        tabUserMapper.insert(tabUser);
        return tabUser.getUserId();
    }

    @Override
    public void editUser(UserDTO userDTO) {
        TabUser tabUser = EntityUtil.changeEntityNew(TabUser.class, userDTO);
        tabUserMapper.updateByPrimaryKeySelective(tabUser);
    }

    @Override
    public TabUser getUserById(Integer userId) {
        return tabUserMapper.selectByPrimaryKey(userId);
    }

    @Override
    public boolean isPhoneRepeat(Integer userId, String phone) {
        int count = tabUserMapper.countByPhone(phone, userId);
        if (count > 0) {
            return true;
        }
        return false;
    }

    @Override
    public TabUser getUserByEnterpriseId(Integer enterpriseId) {
        return null;
    }
}
